package com.qsoft.rs.sincoar.dominio.mapper;

import com.qsoft.rs.sincoar.model.Tarmcarga;
import com.qsoft.rs.sincoar.dto.TarmcargaDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper
public interface TarmcargaMapper {

    TarmcargaMapper INSTANCE = Mappers.getMapper(TarmcargaMapper.class);
    @Mapping(source = "personcode", target = "personcode.personcode")
    Tarmcarga getEntidad(TarmcargaDTO tarmcarga);
    @Mapping(target = "personcode", source = "personcode.personcode")
    TarmcargaDTO getDto(Tarmcarga tarmcarga);

}